% Squarewave.m - Octave Script 
%
% Dieses Skript generiert die Bilder für die BJ-Keyer Dokumentation
%
% 2023-07-09  Tom, DL7BJ
pkg load signal

for i=1:10
t=linspace(0,3*pi)';
duty_cycle=sin(i); % Percentage 
x = square(t,duty_cycle);
plot(t/pi,x);
hold on;
end
grid on;  